%define upstream_name    Task-FreecellSolver-Testing
%define upstream_version 0.0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Install the CPAN dependencies of the
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Task/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Env::Path)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which)
BuildRequires: perl(Games::Solitaire::Verify)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Inline)
BuildRequires: perl(Inline::C)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moo)
BuildRequires: perl(MooX)
BuildRequires: perl(Path::Tiny) >= 0.77.0
BuildRequires: perl(Storable)
BuildRequires: perl(String::ShellQuote)
BuildRequires: perl(Task::Test::Run::AllPlugins)
BuildRequires: perl(Template)
BuildRequires: perl(Template::Stash)
BuildRequires: perl(Test::Code::TidyAll)
BuildRequires: perl(Test::Data::Split)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::PerlTidy)
BuildRequires: perl(Test::Run::CmdLine::Plugin::TrimDisplayedFilenames)
BuildRequires: perl(Test::RunValgrind)
BuildRequires: perl(Test::TrailingSpace)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Install the CPAN dependencies of the Freecell Solver test suite.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Oct 23 2020 tv <tv> 0.0.12-1.mga8
+ Revision: 1638736
- update to 0.0.12

* Wed Feb 12 2020 umeabot <umeabot> 0.0.11-3.mga8
+ Revision: 1506218
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.0.11-2.mga7
+ Revision: 1286241
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 0.0.11-1.mga7
+ Revision: 1134115
- update to v0.0.11

* Fri Jan 20 2017 shlomif <shlomif> 0.0.10-1.mga6
+ Revision: 1082530
- Add description
- importing from cpan2dist

